//---------------------------------------------------------------------------

#ifndef SeriesPropertiesH
#define SeriesPropertiesH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.ComCtrls.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.Dialogs.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Menus.hpp>
#include <Vcl.StdCtrls.hpp>
#include "AdvGrid.hpp"
#include "AdvObj.hpp"
#include "AdvUtil.hpp"
#include "BaseGrid.hpp"
#include <Vcl.Grids.hpp>
#include <Vcl.Mask.hpp>

//---------------------------------------------------------------------------
class TfrmSeriesProperties : public TForm
{
__published:	// IDE-managed Components
	TPageControl *PageControl;
	TTabSheet *tabProperties;
	TEdit *edSeriesName;
	TMainMenu *MainMenu1;
	TMenuItem *ools1;
	TMenuItem *Folders1;
	TMenuItem *Formula1;
	TMenuItem *AttributeStatus1;
	TMenuItem *miRawData;
	TMenuItem *miChangetoYearly;
	TMenuItem *miChangetoQuarterly;
	TMenuItem *miChangetoMonthly;
	TMenuItem *N1;
	TMenuItem *Links1;
	TMenuItem *Generics1;
	TMemo *memoDescription;
	TEdit *edNickName;
	TEdit *edType;
	TComboBox *cbConversionDown;
	TComboBox *cbConversionUp;
	TComboBox *cbSource;
	TComboBox *cbDescriptor;
	TComboBox *cbUnit;
	TComboBox *cbCountry;
	TComboBox *cbFrequency;
	TEdit *edEndDate;
	TEdit *edStartDate;
	TCheckBox *cbxIressScaled;
	TComboBox *cbActive;
	TEdit *edRank;
	TEdit *edGlobalID;
	TCheckBox *cbExportable;
	TCheckBox *cbAnnounced;
	TCheckBox *cbKeySeries;
	TButton *btnDisplayChart;
	TEdit *edSeriesNo;
	TLabel *Label20;
	TLabel *Label18;
	TLabel *Label10;
	TLabel *Label11;
	TLabel *Label7;
	TLabel *Label6;
	TLabel *Label5;
	TLabel *Label1;
	TLabel *Label22;
	TLabel *Label21;
	TLabel *Label19;
	TLabel *Label17;
	TLabel *Label16;
	TLabel *Label15;
	TLabel *Label14;
	TLabel *Label13;
	TLabel *Label12;
	TTabSheet *tabMoreProperties;
	TLabel *Label25;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label8;
	TLabel *Label9;
	TBitBtn *BitBtnCancel;
	TBitBtn *BitBtnSave;
	TButton *ButtonSelectProxySeries;
	TButton *btnClearProxySeries;
	TButton *btnRefreshIressdata;
	TButton *btnSelectPreProxySeries;
	TButton *btnClearPreProxySeries;
	TComboBox *cbProxyMode;
	TComboBox *cbPreProxyMode;
	TEdit *edProxySeries;
	TEdit *edPreProxySeries;
	TEdit *edIressCode;
	TEdit *edIressExchange;
	TEdit *edParitech;
	TLabeledEdit *edURL;
	TSaveDialog *SaveDialog;
	TLabel *Label26;
	TBitBtn *BitBtn1;
	TBitBtn *BitBtn2;
	TEdit *edUniqueID;
	TLabel *Label24;
	TLabeledEdit *edFactsetID;
	TLabeledEdit *edDatastreamID;
	TLabeledEdit *edBloombergID;
	TLabeledEdit *edReleaseDelay;
	TMenuItem *miUseallData1;
	TMenuItem *N2;
	TMenuItem *N3;
	TMenuItem *BuildStaticSeries1;
	TEdit *edStaticSeries;
	TLabel *Label27;
	TButton *btnDeleteStaticSeries;
	TLabeledEdit *edDividendSeries;
	TLabeledEdit *edTotalReturnSeries;
	TComboBox *cbQuantum;
	TLabel *Label23;
	TTabSheet *TabSheet1;
	TEdit *edShadowSeries;
	TLabel *Label28;
	TMenuItem *miSetEndDate;
	TButton *btnUpDateIressData;
	TEdit *edShadowSeriesStartDate;
	TMenuItem *MakeComputed1;
	TLabel *Label29;
	TButton *btnAdaptShadow;
	TAdvStringGrid *DataSourceGrid;
	TMenuItem *N4;
	TMenuItem *miLocked;
	TMenuItem *ExcelSeriestoData1;

private:	// User declarations
	int SeriesNo;
public:		// User declarations
  __fastcall TfrmSeriesProperties(int SeriesNo, TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSeriesProperties *frmSeriesProperties;
//---------------------------------------------------------------------------
#endif
